// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : ape_test_case1.c
// Author        : xianfeng.du
// Created On    : 2022-10-19s
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include "typedef.h"
#include "osp_task.h"
#include "osp_timer.h"
#include "ucp_printf.h"

extern void ape0_log_send_task(void);
extern void ape1_log_send_task(void);

void ape0_test_task_reg(void)
{
    osp_task_info_ex ape0_log_task   = {58, (int8_t*)"ape0_log_task", 58, 2048, OSP_NORMAL_TYPE, 1, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape0_log_send_task};

    osp_task_create(&ape0_log_task);

    //osp_timer_sync(1);
    
    return;
}

void ape1_test_task_reg(void)
{
    osp_task_info_ex ape1_log_task   = {61, (int8_t*)"ape1_log_task", 61, 2048, OSP_NORMAL_TYPE, 1, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape1_log_send_task};

    osp_task_create(&ape1_log_task);

    //osp_timer_sync(1);

    return;
}

void ape2_test_task_reg(void)
{
    return ;
}

void ape3_test_task_reg(void)
{
    return ;
}

void ape4_test_task_reg(void)
{
    return ;
}

void ape5_test_task_reg(void)
{
    return ;
}

void ape6_test_task_reg(void)
{
    return ;
}

void ape7_test_task_reg(void)
{
    return ;
}

